## com.gargoylesoftware.htmlunit.html
Interface SubmittableElement

All Known Implementing Classes:
  HtmlButton, HtmlButtonInput, HtmlCheckBoxInput, HtmlFileInput, HtmlHiddenInput, HtmlImageInput, HtmlInput, HtmlIsIndex, HtmlPasswordInput, HtmlRadioButtonInput, HtmlResetInput, HtmlSelect, HtmlSubmitInput, HtmlTextArea, HtmlTextInput

    public interface SubmittableElement

An element that can have it's values sent to the server during a form submit.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, Daniel Gredler

Method Summary
`java.lang.String` `getDefaultValue()` Returns the default value to use when this element gets reset, if applicable.
`org.apache.commons.httpclient.NameValuePair[]` `getSubmitKeyValuePairs()` Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.
`boolean` `isDefaultChecked()` Returns the default checked state to use when this element gets reset, if applicable.
`void` `reset()` Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).
`void` `setDefaultChecked(boolean defaultChecked)` Sets the default checked state to use when this element gets reset, if applicable.
`void` `setDefaultValue(java.lang.String defaultValue)` Sets the default value to use when this element gets reset, if applicable.

Method Detail

### getSubmitKeyValuePairs

    org.apache.commons.httpclient.NameValuePair[] getSubmitKeyValuePairs()

  Returns an array of `NameValuePair`s that are the values that will be sent back to the server whenever this element's containing form is submitted.

  THIS METHOD IS INTENDED FOR THE USE OF THE FRAMEWORK ONLY AND SHOULD NOT BE USED BY CONSUMERS OF HTMLUNIT. USE AT YOUR OWN RISK.

  Returns:
    the values that will be sent back to the server whenever this element's containing form is submitted

### reset

    void reset()

  Returns the value of this element to the default value or checked state (usually what it was at the time the page was loaded, unless it has been modified via JavaScript).

### setDefaultValue

    void setDefaultValue(java.lang.String defaultValue)

  Sets the default value to use when this element gets reset, if applicable.

  Parameters:
    `defaultValue` - the default value to use when this element gets reset, if applicable

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the default value to use when this element gets reset, if applicable.

  Returns:
    the default value to use when this element gets reset, if applicable

### setDefaultChecked

    void setDefaultChecked(boolean defaultChecked)

  Sets the default checked state to use when this element gets reset, if applicable.

  Parameters:
    `defaultChecked` - the default checked state to use when this element gets reset, if applicable

### isDefaultChecked

    boolean isDefaultChecked()

  Returns the default checked state to use when this element gets reset, if applicable.

  Returns:
    the default checked state to use when this element gets reset, if applicable

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.